# salt.modules.travisci

Commands for working with travisci.

depends:

  pyOpenSSL >= 16.0.0

salt.modules.travisci.verify_webhook(signature, body)

  Verify the webhook signature from travisci

  signature

    The signature header from the webhook header

  body

    The full payload body from the webhook post

  Note

  The body needs to be the urlencoded version of the body.

  CLI Example:

      salt '*' travisci.verify_webhook 'M6NucCX5722bxisQs7e...' 'payload=%7B%22id%22%3A183791261%2C%22repository...'